<style>
  /* General Reset and Styling */
 

  /* Container: Set the background image and position it */
  .container-versus {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    padding: 0 20px;
    gap: 20px;
    position: relative;
    background-image: url('https://img.freepik.com/free-vector/neon-style-versus-vs-modern-banner-team-battle-comparison_1017-58143.jpg?t=st=1742628096~exp=1742631696~hmac=aec3f06965107466627899803e530f8d59c88433e32fb9ea3c8150e24c72d5d8&w=2000');
    background-size: cover;  /* Make sure the image covers the entire area */
    background-position: center;
    background-repeat: no-repeat;
  }

  .model-card {
  width: 40%;
  border-radius: 10px;
  padding: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  position: relative;
  z-index: 1;
  transition: transform 0.3s ease-in-out;
}

.model-card:hover {
  transform: scale(1.05);
}

/* Site Name at the top */
.model-card .site-name {
  font-size: 16px;
  color: #fff;
  font-weight: bold;
  position: absolute;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
}

/* Model Name at the bottom */
.model-card .model-name {
  font-size: 18px;
  color: #fff;
  font-weight: bold;
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
}

/* Additional Styling for Embed */
#chatembed {
  max-width: 100%;
  padding-top: 56.25%;
  position: relative;
  width: 100%;
  border-radius: 10px;
  overflow: hidden;
  background: #000;
}

#chatembed iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
}
  /* Pagination Controls */

/* Pagination Controls */
.pagination {
  position: absolute;
  bottom: 30px;
  left: 50%;  /* Center horizontally */
  transform: translateX(-50%);  /* Adjust for exact centering */
  display: flex;
  gap: 10px;  /* Space between buttons */
  z-index: 10;
}

.pagination a {
  background: #ff4c4c;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  text-decoration: none;
  font-weight: bold;
  transition: background 0.3s ease-in-out;
}

.pagination a:hover {
  background: #e63b3b;
}


  /* Light Rings around Models */
  .model-card::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120%;
    height: 120%;
    border-radius: 50%;
    animation: ring-animation 2s infinite;
    z-index: -1;
  }

  @keyframes ring-animation {
    0% {
      transform: translate(-50%, -50%) scale(1);
      opacity: 0.5;
    }
    100% {
      transform: translate(-50%, -50%) scale(1.2);
      opacity: 0;
    }
  }

  /* Mobile Styling */
  @media (max-width: 768px) {
    .container {
      flex-direction: column;
      height: auto;
      padding: 20px 0;
    }

    .model-card {
      width: 90%;
      margin-bottom: 20px;
    }

    .vs {
      font-size: 30px;
    }
  }
  .site-name {
  font-size: 18px;
  color: #fff;
  font-weight: bold;
  text-align: center;
  margin-bottom: 10px;
}

.model-name {
  font-size: 16px;
  color: #fff;
  font-weight: bold;
  text-align: center;
  margin-top: 10px;
}

/*vote*/
.vote-button {
            background-color: #ff4c4c;
            color: white;
            padding: 10px 20px;
            font-size: 16px;
            border-radius: 5px;
            cursor: pointer;
            transition: background 0.3s;
        }

        .vote-button:hover {
            background-color: #e63b3b;
        }

        

        #timer {
            font-size: 24px;
            font-weight: bold;
            color: #fff;
            position: absolute;
            bottom: 70px;
            left: 50%;
            transform: translateX(-50%);
        }

        #vote-result {
            font-size: 24px;
            font-weight: bold;
            margin-top: 20px;
            color: #fff;
        }
</style>

<?php
session_start();

// List of fictive users
$fictiveUsers = [
  "Ax3l", "Blaz3", "Cruz!", "D4nte", "E1ijah", "Felix", "G1d3on", "H3ndrix", "J4xon", "Kai_",
  "L4ndon", "Maddox", "N1co", "Or1on", "Ph0en1x", "Ryd3r", "S1las", "T1tus", "X4nd3r", "Z4ne",
  "4ce", "B3ck3tt", "C4sh", "D4x_", "Enzo", "Fox", "Gr1ffin", "Hunt3r", "J3tt", "Knox!",
  "Luk4", "M1lo", "N4sh", "Orlando", "P4xton", "Rex_", "Slad3", "Thorn3", "V1ggo", "W1lder",
  "Asher!", "Bla1ze", "Colt_", "D3clan", "Ev3r", "Finn!", "G4b3", "Huxl3y", "Jag3r", "Kash_",
  "Lynx_", "M4rcus", "Nash_", "Oli3", "Ph0enix", "Quinn_", "R3ed", "Stryker", "T1mber", "Vaughn",
  "Wolf3", "Y4le", "Zephyr", "Brock", "C3dar", "Dax_", "Edge", "Flinn_", "G4vin", "Hawk_",
  "Jad3", "King_", "Luc1an", "M1r0", "Neo_", "Odin_", "Pr0sper", "Qu1nn", "R3vel", "S4vage",
  "Thorn_", "V1per", "Wr3n", "Xav13r", "Zev_", "Arc3", "B0dy", "Crush", "D0z3r", "Ezekiel",
  "Fr3e", "Gh0st", "Har3m", "Ign1te", "J4ck", "Kn1ght", "L0rd", "M4x!", "N0b1e", "Outlaw!"
];

// Initialize vote counts for both models, including fictive users' votes
if (!isset($_SESSION['votes_model_1'])) {
    $_SESSION['votes_model_1'] = 0;
}
if (!isset($_SESSION['votes_model_2'])) {
    $_SESSION['votes_model_2'] = 0;
}

// Handle real user vote
if (isset($_POST['vote'])) {
    if ($_POST['vote'] == 'model_1') {
        $_SESSION['votes_model_1']++;
    } else if ($_POST['vote'] == 'model_2') {
        $_SESSION['votes_model_2']++;
    }
}

// Simulate votes for fictive users
function simulate_fictive_votes() {
    global $fictiveUsers;
    
    foreach ($fictiveUsers as $user) {
        // Randomly choose a model (model 1 or model 2)
        $random_vote = rand(1, 2);

        if ($random_vote == 1) {
            $_SESSION['votes_model_1']++;
        } else {
            $_SESSION['votes_model_2']++;
        }
    }
}



?>

<div class="container-versus">
    <!-- Model 1 -->
    <div class="model-card" id="model-card-1">
        <div class="site-name"><?= ucfirst($model['site']) ?></div>
        <div id="chatembed">
            <?= Avos\User\encodeChatEmbed($model) ?>
        </div>
        <div class="model-name"><?= ucfirst($model['nickname']) ?></div>
        <form method="POST">
            <button class="vote-button" name="vote" value="model_1">Vote for <?= ucfirst($model['nickname']) ?></button>
        </form>
    </div>

    <!-- VS Text in the middle -->
    <div class="vs">VS</div>

    <!-- Model 2 -->
    <div class="model-card" id="model-card-2">
        <div class="site-name"><?= ucfirst($model2['site']) ?></div>
        <div id="chatembed">
            <!-- The second model's embed will be dynamically updated -->
        </div>
        <div class="model-name"><?= ucfirst($model2['nickname']) ?></div>
        <form method="POST">
            <button class="vote-button" name="vote" value="model_2">Vote for <?= ucfirst($model2['nickname']) ?></button>
        </form>
    </div>

    <!-- Timer and Result -->
    <div id="timer">10</div>
    <div id="vote-result"></div>

    <!-- Pagination: Previous and Next Buttons -->
    <div class="pagination">
        <a href="#" id="prev-button" class="prev-button">Previous</a>
        <a href="#" id="next-button" class="next-button">Next</a>
    </div>
</div>

<script>
// Pre-generate model2 embeds in PHP and pass them to JavaScript
const modelsEmbeds = <?php echo json_encode(array_map(function($model) {
    return Avos\User\encodeChatEmbed($model);
}, $model2)); ?>;

const modelNames = <?php echo json_encode(array_map(function($model) {
    return $model['nickname'];
}, $model2)); ?>;

const modelSites = <?php echo json_encode(array_map(function($model) {
    return $model['site'];
}, $model2)); ?>;

document.addEventListener("DOMContentLoaded", function () {
    let currentIndex = 0; // Default index for model2, starting with 0
    const modelsCount = modelsEmbeds.length;

    function updateModel2() {
        if (modelsCount === 0) return;

        document.getElementById('model-card-2').innerHTML = `
            <div class="site-name">${modelSites[currentIndex]}</div>
            <div id="chatembed">
                ${modelsEmbeds[currentIndex]}
            </div>
            <div class="model-name">${modelNames[currentIndex]}</div>
            <form method="POST">
                <button class="vote-button" name="vote" value="model_2">Vote for ${modelNames[currentIndex]}</button>
            </form>
        `;
    }

    document.getElementById('prev-button').addEventListener('click', function (e) {
        e.preventDefault();
        currentIndex = (currentIndex - 1 + modelsCount) % modelsCount;
        updateModel2();
    });

    document.getElementById('next-button').addEventListener('click', function (e) {
        e.preventDefault();
        currentIndex = (currentIndex + 1) % modelsCount;
        updateModel2();
    });

    updateModel2();

    let timer = 10;
    const timerElement = document.getElementById('timer');
    const voteResult = document.getElementById('vote-result');
            
    function updateTimer() {
        const minutes = Math.floor(timer / 60);
        const seconds = timer % 60;
        timerElement.textContent = `${minutes}:${seconds < 10 ? '0' : ''}${seconds}`;
        if (timer === 0) {
            clearInterval(timerInterval);
            determineWinner();
        }
        timer--;
    }

    const timerInterval = setInterval(updateTimer, 1000);

    // Function to determine the winner
    function determineWinner() {
        const model1Votes = <?php echo $_SESSION['votes_model_1']; ?>;
        const model2Votes = <?php echo $_SESSION['votes_model_2']; ?>;

        if (model1Votes > model2Votes) {
            voteResult.textContent = "Model 1 Wins!";
            document.getElementById('model-card-1').style.border = '5px solid green';
        } else if (model2Votes > model1Votes) {
            voteResult.textContent = `${modelNames[currentIndex]} Wins!`;
            document.getElementById('model-card-2').style.border = '5px solid green';
        } else {
            voteResult.textContent = "It's a tie!";
        }
    }
});
</script>
